// import javax.swing.*;
// import java.awt.*;
// import java.awt.event.*;

    /*
     * Example of how to use a LineDrawer to draw a line ax+by+c=0
     * @author am
     * @version 09/2003
     */


    /* Method drawLine
     * Draw a line ax+by+c=0 in a 2D basic graphical panel
     * (try, for example, with : a=0.7, b=3.0, c=-210)
     */
    public void drawLine(double a, double b, double c) {
        // Define the drawing frame dimensions
        final int width  = 700 ;
        final int height = 400 ;
        
        // Create a drawing frame
        JFrame f = new JFrame("LineDrawer demo");
        f.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
                System.exit(0);
            }
        });
        
        // Create the LineDrawer panel and insert it into the frame
        LineDrawer lineDrawer = new LineDrawer(a, b, c);
        f.getContentPane().add(lineDrawer, BorderLayout.CENTER);
        f.setSize(new Dimension(width, height));
        f.setVisible(true);
    }